%define	url_ver		%(echo %{version} | cut -d "." -f -2)

%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library to handle various audio file formats
Name:		audiofile
Version:	0.3.6
%define subrel 1
Release:	%mkrel 8
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		audiofile-0.3.6-CVE-2015-7747.patch
Patch1:         01_gcc6.patch                                                 
Patch2:         02_hurd.patch                                                 
Patch3:         04_clamp-index-values-to-fix-index-overflow-in-IMA.cpp.patch
Patch4:         05_Always-check-the-number-of-coefficients.patch              
Patch5:         06_Check-for-multiplication-overflow-in-MSADPCM-decodeSam.patch
Patch6:         07_Check-for-multiplication-overflow-in-sfconvert.patch
Patch7:         08_Fix-signature-of-multiplyCheckOverflow.-It-returns-a-b.patch
Patch8:         09_Actually-fail-when-error-occurs-in-parseFormat.patch 
Patch9:		10_Check-for-division-by-zero-in-BlockCodec-runPull.patch
Patch10:	audiofile-0.3.6-CVE-2018-13440.patch
Patch11:	audiofile-0.3.6-CVE-2018-17095.patch

URL:		http://www.68k.org/~michael/audiofile/
BuildRequires:	pkgconfig(alsa)

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{develname}
Summary:	Includes and other files to develop audiofile applications
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	%{_lib}audiofile0-devel < 0.3.2

%description -n	%{develname}
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --enable-largefile --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_mandir}/man1/*

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

%files -n %{develname}
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Fri Nov 02 2018 mrambo3501 <mrambo3501> 0.3.6-8.1.mga6
+ Revision: 1327680
- add upstream patches which fix CVE-2018-13440 and CVE-2018-17095

* Tue May 02 2017 luigiwalser <luigiwalser> 0.3.6-8.mga6
+ Revision: 1098248
- apply missing security patch from debian

* Mon May 01 2017 neoclust <neoclust> 0.3.6-7.mga6
+ Revision: 1098207
- Add debian patches to fix:
  	* CVE-2017-6829
  	* CVE-2017-6831,
  	* CVE-2017-6832
  	* CVE-2017-6833
  	* CVE-2017-6834
  	* CVE-2017-6835
  	* CVE-2017-6836
  	* CVE-2017-6837
  	* CVE-2017-6838
  	* CVE-2017-6839
  	* CVE-2017-6827
  	* CVE-2017-6828

* Wed Feb 10 2016 umeabot <umeabot> 0.3.6-6.mga6
+ Revision: 953112
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 luigiwalser <luigiwalser> 0.3.6-5.mga6
+ Revision: 891314
- add patch suggested upstream to fix CVE-2015-7747

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 743596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-3.mga5
+ Revision: 678044
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.6-2.mga4
+ Revision: 523547
- Mageia 4 Mass Rebuild

* Thu May 23 2013 dams <dams> 0.3.6-1.mga4
+ Revision: 424963
- new version 0.3.6

* Wed Feb 06 2013 ovitters <ovitters> 0.3.5-1.mga3
+ Revision: 394771
- new version 0.3.5

* Fri Jan 11 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 346580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 01 2012 ovitters <ovitters> 0.3.4-1.mga3
+ Revision: 234421
- new version 0.3.4
+ fwang <fwang>
- drop unused patch

* Thu Jan 12 2012 fwang <fwang> 0.3.3-1.mga2
+ Revision: 195267
- update libmajor
- new version 0.3.3

* Wed Nov 30 2011 fwang <fwang> 0.3.2-1.mga2
+ Revision: 174369
- update file list
- more linkage fix
- fix linkage
- new version 0.3.2

* Tue Sep 27 2011 ovitters <ovitters> 0.3.1-3.mga2
+ Revision: 149574
- clean spec file

* Mon Sep 26 2011 shlomif <shlomif> 0.3.1-2.mga2
+ Revision: 148759
- Add the missing alsa-lib-devel BuildRequires
- Upgraded to 0.3.1. Some changes inspired by the Mandriva spec.

* Wed Jan 12 2011 blino <blino> 0.2.7-3.mga1
+ Revision: 6607
- remove old ldconfig scriptlets
- imported package audiofile

